package com.esignlive.app;

import android.app.Activity;
import android.app.Application;
import android.support.annotation.Nullable;
import android.support.multidex.MultiDexApplication;
import android.util.Log;

import com.esignlive.sdk.CreateTransactionAddDocumentListener;
import com.esignlive.sdk.ESignLive;
import com.esignlive.sdk.ESignLiveContextProvider;
import com.esignlive.sdk.ESignLiveListener;
import com.esignlive.sdk.datamodel.manage.Transaction;
import com.esignlive.sdk.utility.Error;

/**
 * Created by eSignLive on 16-05-13.
 */
public class ESignLiveApplication extends MultiDexApplication implements ESignLiveListener, ESignLiveContextProvider, CreateTransactionAddDocumentListener {
    private static final int PICK_DOCUMENT_CODE = 1001;
    @Override
    public void onCreate()
    {
        super.onCreate();


        // Initialize the singletons so their instances
        // are bound to the application process.

        ESignLive.setContextProvider(this);
        ESignLive.getInstance().setListener(this);
        ESignLive.getInstance().setServerAddress("https://sandbox.esignlive.com");

    }

    // Interface implementation: ESignLiveContextProvider

    @Override
    public Application getApplicationContext() {
        return this;
    }

    // Interface implementation: ESignLiveListener
    @Override
    public void didExitSDK() {
        Log.d("APP", "eSignLive callback - Did Exit SDK");
    }

    @Override
    public void didSendTransactionForSigning(String s, String s1) {

    }

    @Override
    public void didCompleteTransactionSigningSession(String s, String s1) {

    }

    @Override
    public void didOptOutOfTransaction(String s, String s1, @Nullable String s2) {

    }

    @Override
    public void didDeclineTransaction(String s, String s1, @Nullable String s2) {

    }

    @Override
    public void didUpdateTransactionIdentifier(String s, String s1) {

    }

    @Override
    public void didUpdateLocalTransaction(Transaction transaction) {

    }

    @Override
    public void didDeleteTransaction(String s, boolean b) {

    }

    @Override
    public void transactionStartedSuccessfully(String s) {
        Log.d("APP","transactionStartedSuccessfully "+s);
    }

    @Override
    public void transactionStartFailed(String s, @Nullable Error error) {
        Log.d("APP","transactionStartFailed "+s + " " + error);

    }

    @Override
    public void loginNeeded() {

    }

    @Override
    public void addFileButtonPressed(Activity createTransactionActivity, String resultKey, int resultCode) {

    }

}
