package com.esignlive.app;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class LandingPageActivity extends Activity implements View.OnClickListener {

    private Button loginButton, signupButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);


        setContentView(R.layout.activity_landing_page);
        this.getReferences();
        this.setupListeners();
    }

    // UI Components
    private void getReferences() {
        this.loginButton  = (Button) findViewById(R.id.landingPageSignInButton);
        this.signupButton = (Button) findViewById(R.id.landingPageSignUpButton);
    }
    private void setupListeners() {
        this.signupButton.setOnClickListener(this);
        this.loginButton.setOnClickListener(this);
    }

    // Navigation
    private void navigateToLoginActivity() {
        Intent intent = new Intent(this, LoginActivity.class);
        this.finishActivity(0);
        this.startActivity(intent);
    }
    private void navigateToSignupActivity() {
        Intent intent = new Intent(this, SignupActivity.class);
        this.finishActivity(0);
        this.startActivity(intent);
    }
    private void navigateToHomeActivity() {
        Intent intent = new Intent(this, HomeActivity.class);
        intent.putExtra("performLogin",true);
        this.startActivity(intent);
    }

    // Implementing OnClickListener
    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.landingPageSignInButton:
                if (UserData.isUserLoggedIn()) {
                    this.navigateToHomeActivity();
                } else {
                    this.navigateToLoginActivity();
                }
                break;

            case R.id.landingPageSignUpButton:
                this.navigateToSignupActivity();
                break;

            default:
                break;
        }
    }
}
