package com.esignlive.app;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.esignlive.sdk.datamodel.manage.Transaction;
import com.esignlive.sdk.utility.Util;

import java.util.ArrayList;

/**
 * Created by smoetakef on 16-07-11.
 */


public class TransactionListAdapter extends BaseAdapter {

    // Properties
    private Context context;
    private ArrayList<Transaction> transactions;

    // Constructors
    public TransactionListAdapter(Context context, ArrayList<Transaction> transactions) {
        super();
        this.context = context;
        this.transactions = transactions;
    }

    @Override
    public int getCount() {
        return this.transactions.size();
    }

    @Override
    public Object getItem(int position) {
        return this.transactions.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(context);
        if (convertView == null) {
            convertView = inflater.inflate(R.layout.transaction_list_cell, parent, false);
        }
        Transaction transaction = (Transaction) this.getItem(position);
        ((TextView) convertView.findViewById(R.id.transactionNameTextView)).setText(transaction.getName());
        ((TextView) convertView.findViewById(R.id.transactionCreationDateTextView)).setText(Util.simpleStringFromDate(transaction.getUpdateDate()));
        String description = transaction.getType().toString();//"Signers: " + transaction.getAllSignersEmails().size() + " - Documents: " + transaction.getDocuments().size();
        if (transaction.getDueDate() != null) {
            description = description + " - exp date: " + Util.simpleStringFromDate(transaction.getDueDate());
        }
        ((TextView) convertView.findViewById(R.id.transactionDescriptionTextView)).setText(description);
        return convertView;
    }
}
